libogg documentation | libogg release 1.3.2 - 20140527

# oggpack_read1

declared in "ogg/ogg.h";

This function reads one bit from the oggpack_buffer data buffer and advances the location pointer.

Before reading, the buffer should be initialized using oggpack_readinit.

    long  oggpack_read1(oggpack_buffer *b);

### Parameters

b
  Pointer to an oggpack_buffer struct containing buffered data to be read.

### Return Values

> - n is the bit read by this function.

copyright © 2000-2014 Xiph.Org | Ogg Container Format
libogg documentation | libogg release 1.3.2 - 20140527